package ru.dbotthepony.kstarbound.client.gl.shader

import ru.dbotthepony.kstarbound.client.gl.GLStateTracker
import ru.dbotthepony.kvector.matrix.nfloat.Matrix4f

open class GLTransformableProgram(state: GLStateTracker, vararg shaders: GLShader) : GLShaderProgram(state, *shaders) {
	init {
		link()
	}

	val transform = this["_transform"]!!

	init {
		transform.set(Matrix4f.IDENTITY)
	}
}